<?php
// $Id: imageserve.inc,v 1.1.2.2 2007/07/29 23:32:00 jeremy Exp $

/**
 * Generate a tiny image with GD, used to count when an ad has been displayed 
 * on a cached page.
 */
function adserve_counter_image() {
  adserve_include_drupal();
  $ad->aid = adserve_variable('aid');
  if ($ad->aid) {
    $cache = adserve_variable('cache');
    if ($cache != 'none') {
      // Attempt to increment counter using cache.
      $rc = adserve_invoke_cache("ad_cache_{$cache}_increment_view");
    }
    if (!$rc) {
      // Increment the counter directly in the database.
      adserve_increment_view($ad);
    }
  }

  if (function_exists('imagecreate')) {
    $image = imagecreate(1, 1);
  }
  else {
    // GD not installed, report error and exit.
  }

  if (function_exists('imagejpeg')) {
    header("Content-type: image/jpeg");
    imagejpeg($image);
    imagedestroy($image);
    exit(0);
  }
  else if (function_exists('imagepng')) {
    header("Content-type: image/png");
    imagepng($image);
    imagedestroy($image);
    exit(0);
  }
  else if (function_exists('imagegif')) {
    header("Content-type: image/gif");
    imagegif($image);
    imagedestroy($image);
    exit(0);
  }
}
